# Get plan for change

Endpoint: GET /api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/plans_for_change/{plan_id}
Version: 2.0
Security: managementJwtAuth

## Path parameters:

  - `subscription_id` (integer, required)

  - `plan_id` (integer, required)

  - `project_id` (integer, required)

## Query parameters:

  - `locale` (string)

## Response 200 fields (application/json):

  - `charge` (object, required)

  - `charge.amount` (number, required)
    Example: 4.99

  - `charge.currency` (string, required)
    Example: "USD"

  - `charge.setup_fee` (number, required)
    Example: 0.99

  - `payment_details` (object, required)

  - `payment_details.surcharge` (any,null)

  - `payment_details.unused` (any,null)

  - `period` (object, required)

  - `period.unit` (string,null)
    Example: "month"

  - `period.value` (integer,null)
    Example: "1"

  - `plan_description` (string, required)
    Example: "Localized plan description"

  - `plan_end_date` (string,null)
    Example: "2031-04-11T13:51:02+03:00"

  - `plan_external_id` (string, required)
    Example: "PlanExternalId"

  - `plan_group_id` (string,null)
    Example: "TestGroupId"

  - `plan_id` (integer, required)
    Example: "54321"

  - `plan_name` (string, required)
    Example: "Localized plan name"

  - `plan_start_date` (string,null)
    Example: "2021-04-11T13:51:02+03:00"

  - `plan_type` (string, required)
    Example: "all"

  - `promotion` (object, required)

  - `promotion.promotion_charge_amount` (number,null)
    Example: "3.99"

  - `promotion.promotion_remaining_charges` (integer,null)
    Example: "3"

  - `trial_period` (integer,null)
    Example: "7"


## Response 400 fields

## Response 404 fields
